//---------------------------------------------------------------------------
#ifndef typedefsH
#define typedefsH

//---------------------------------------------------------------------------
// General purpose stuff or stuff needed by multiple modules
typedef unsigned char byte;
typedef unsigned short word;
typedef unsigned int uint;
typedef unsigned long ulong;
typedef unsigned short ushort;
typedef unsigned long dword;
#ifdef LINUX
typedef long DWORD;
#endif /* LINUX */

#ifndef bool
typedef unsigned int bool;
#endif

#ifndef true
#define true (1 == 1)
#endif

#ifndef false
#define false (1 == 0) 
#endif

// Number of array entries
#define NR_ENTRIES(a)	(sizeof(a) / sizeof(*(a)))

#ifdef LINUX
#define min(a, b) ((a<b)?a:b)
#define max(a, b) ((a>b)?a:b)
#define O_BINARY 0
#endif /* LINUX */
#endif
