#include "crc32.h"

unsigned int crc32_init(void)
{
   return 0xFFFFFFFF;
}


unsigned int crc32(unsigned int crc, unsigned char *message, unsigned int length)
{
   int i, j;
   unsigned int mask;

   for (i = 0; i < (int) length; i++)
   {
      crc = crc ^ message[i];

      for ( j = 7; j >= 0; j-- )
      {
			mask = -((int) crc & 1);
         crc = (crc >> 1) ^ (0xEDB88320 & mask);
      }
   }
   return crc;
}

unsigned int crc32_final(unsigned int crc)
{
	return ~crc;
}
