//---------------------------------------------------------------------------
#ifndef usbH
#define usbH

#include "typedefs.h"
#include "errmsgs.h"

bool USB_Open(void);
bool USB_Close(void);
void USB_SetTimeouts(dword rx_tout, dword tx_tout);
bool USB_IsDevOpen(void);
bool USB_ReceiveChar(unsigned char *c);
bool USB_Transmit(byte *data, DWORD lenght);                      
bool USB_TransmitWTimeout(byte *data, DWORD lenght, word timeout);
bool USB_WriteWTimeout(byte *data, DWORD lenght, word timeout);

#endif

